Home | All Classes | Grouped Classes | Index | Search

# CL_Sprite::CL_Sprite

Constructs a sprite.

    	CL_Sprite(
    		const std::string& resource_id, CL_ResourceManager* manager);

    	CL_Sprite(
    		const CL_SpriteDescription& sprite_description, bool pack_texture = true);

    	CL_Sprite(
    		const CL_SpriteDescription& sprite_description, bool pack_texture, unsigned int min_width, unsigned int min_height);

    	CL_Sprite(
    		const CL_Sprite& sprite);

    	CL_Sprite();

Parameters:

resource_id
  Resource name of a sprite resource.
manager
  Resource manager used to load resource.
sprite_description
  Sprite description used to construct sprite.
pack_texture
  If true, will try to pack sprite into as few textures as possible.

See also:

CL_Resource | CL_ResourceManager | CL_Sprite | CL_SpriteDescription

Questions or comments, write to the ClanLib mailing list.